/* CSS Document */

#main{
	margin-bottom: clamp(24px, calc(56 / 1200 * 100dvw), 56px);
}

#detail{
	display: grid;
	grid-template-columns: 1fr var(--wrap) 1fr;
	overflow: hidden;
	&>*{
		grid-column: 2;
	}
	#title{
		grid-column: 1 / 4;
	}
	#text,
	#documents{
		justify-self: center;
		width: min(var(--wrap), 720px);
	}
	#text{
		margin-top: clamp(32px, calc(56 / 1200 * 100dvw), 56px);
	}
	#documents{
		margin-top: 24px;
		padding-top: 24px;
		border-top: 2px dotted #c2c2c2;
		}
	#links{
		margin-top: clamp(32px, calc(56 / 1200 * 100dvw), 56px);
	}
	#photo{
		grid-row: 2;
		margin-top: clamp(32px, calc(56 / 1200 * 100dvw), 56px);
	}
}

#title{
	display: grid;
	grid-template-columns: var(--wrap);
	justify-content: center;
	padding: clamp(24px, calc(32 / 1200 * 100dvw), 32px) 0;
	background: var(--color-theme) url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" viewBox="0 0 1366 400"><path fill="white" opacity="0.1" d="M1366,23.59c-49.72-11.77-99.48-14.67-129.8-13.61-72.45,2.53-178.28,33.01-293.37,99-115.09,66-225.53,101.23-331.84,117.95-106.31,16.72-223.2,3.97-276.26-12.54s-163.7-59.58-216.27-89.37C118.46,125.02,65.87,92.63,0,85.07v262.08c42.97,5.38,91.05,1.56,142.21-15.86,145.25-49.45,176.76-76.57,288.31-79.7,111.56-3.13,200.19,20.55,289.72,42.68,89.53,22.12,389.57,114.18,563.27,86.69,29.99-4.75,57.55-11.84,82.48-20.89V23.59Z"/></svg>') no-repeat center -24px / max(640px, 100%) clamp(240px, calc(400 / 1200 * 100dvw), 400px);
	& h2{
		grid-row: 1;
		display: grid;
		grid-template-columns: auto 1fr;
		column-gap: 0.5em;
		color: #fff;
		font-weight: 700;
		font-size: clamp(24px, calc(32 / 768 * 100dvw), 32px);
		&:before{
			content: "";
			aspect-ratio: 1;
			width: 1em;
			background: currentColor;
			transform: translateY(calc(0.875em - 50%));
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path d=""/><rect width="100%" height="100%"/></svg>') no-repeat center / contain;
		}
	}
	& h2+div{
		position: relative;
		display: flex;
		flex-wrap: wrap;
		grid-gap: 8px 16px;
		margin: 16px 0 0 clamp(36px, calc(48 / 768 * 100dvw), 48px);
		padding-top: 16px;
		border-top: 1px solid #d3e3f2;
		&:after{
			content: "";
			position: absolute;
			top: 0;
			right: 0;
			aspect-ratio: 1;
			width: 8px;
			background: #d3e3f2;
			border-radius: 100%;
			transform: translateY(-50%);
		}
		& time{
			color: #fff;
			font-weight: 500;
			font-size: clamp(12px, calc(14 / 768 * 100dvw), 14px);
			letter-spacing: 0.05em;
		}
		& ul{
			display: flex;
			flex-wrap: wrap;
			grid-gap: 8px;
		}
		& li{
			display: grid;
			align-items: center;
			width: 6em;
			padding: 0 0.5em;
			background: var(--color-theme);
			border: 1px solid #fff;
			border-radius: 2px;
			color: #fff;
			font-weight: 500;
			font-size: clamp(10px, calc(11 / 768 * 100dvw), 11px);
			letter-spacing: 0.05em;
			text-align: center;
			text-transform: uppercase;
			&.tagNew{
				background: #c51e50;
				border-color: transparent;
			}
		}
		& a{
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			font-size: 0;
		}
	}
}

#text{
	font-weight: 500;
}

#links{
	& h3{
		display: none;
	}
	& ul{
		display: grid;
		justify-content: center;
		grid-gap: 16px;
		@media (min-width: 992px) {
			display: flex;
			& a{
				min-width: calc((100% - 32px) / 3);
			}
		}
	}
	& li{
		display: contents;
	}
	& a{
		display: grid;
		grid-template-columns: 1fr auto;
		align-items: center;
		column-gap: 0.5em;
		min-width: min(100%, 240px);
		min-height: clamp(48px, calc(56 / 768 * 100dvw), 56px);
		padding: 0.25em 1.5em;
		background: var(--color-theme);
		border-radius: clamp(24px, calc(28 / 768 * 100dvw), 28px);
		color: #fff;
		font-weight: 700;
		letter-spacing: 0.05em;
		text-align: center;
		text-decoration: none;
		&:before,
		&:after{
			content: "";
			grid-column: 2;
			grid-row: 1;
			aspect-ratio: 1;
			width: 16px;
		}
		&:before{
			background: currentColor;
			border-radius: 100%;
		}
		&:after{
			background: var(--color-theme);
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" style="fill: none; stroke: black; stroke-width: 1.5px;"><polyline points="6.25 11.5 9.75 8 6.25 4.5"/></svg>') no-repeat center / contain;
		}
	}
}

#documents{
	& h3{
		display: grid;
		grid-template-columns: auto 1fr;
		column-gap: 0.5em;
		color: inherit;
		font-weight: 700;
		font-size: clamp(16px, calc(18 / 768 * 100dvw), 18px);
		&:before{
			content: "";
			width: 3px;
			height: 1em;
			background: #d3e3f2;
			transform: translateY(calc(0.875em - 50%));
		}
	}
	& h3+div{
		padding: 8px 0 0 8px;
	}
	& ul{
		display: grid;
		justify-items: start;
		grid-row-gap: 4px;
	}
	& li{
		display: contents;
	}
	& a{
		display: grid;
		grid-template-columns: auto 1fr;
		column-gap: 0.5em;
		font-weight: 700;
		&:before{
			content: "";
			aspect-ratio: 1;
			width: 16px;
			background: currentColor;
			transform: translateY(calc(0.875em - 50%));
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path d="M4,0c-1.1,0-2,.9-2,2v12c0,1.1.9,2,2,2h8c1.1,0,2-.9,2-2V5.33c0-.53-.21-1.04-.58-1.42l-3.33-3.33c-.38-.37-.88-.58-1.41-.58H4ZM12.17,5.5h-2.92c-.42,0-.75-.33-.75-.75V1.83l3.67,3.67Z"/></svg>') no-repeat center / contain;
		}
	}
}

#photo{
	display: grid;
	& dl{
		grid-column: 1;
		grid-row: 1;
		display: grid;
		grid-row-gap: 8px;
		&:nth-child(n+2){
			visibility: hidden;
		}
	}
	& dt{
		order: 1;
		text-align: center;
	}
	& a{
		display: block;
	}
	& img{
		aspect-ratio: 3 / 2;
		object-fit: contain;
	}
	&.slick-slider{
		grid-template-columns: auto 1fr auto;
		align-items: center;
		&:before{
			content: "";
			grid-column: 2;
			grid-row: 1;
			aspect-ratio: 3 / 2;
			margin: 0 32px;
		}
		.slick-list{
			grid-column: 2;
			grid-row: 1 / 3;
			margin: 0 24px;
			overflow: visible;
		}
		.slick-slide{
			margin: 0 8px;
		}
		.slick-arrow{
			all: unset;
			box-sizing: border-box;
			cursor: pointer;
			position: relative;
			aspect-ratio: 1;
			width: clamp(32px, calc(48 / 1200 * 100dvw), 48px);
			background: #e8e8e8;
			border-radius: 100%;
			color: #fff;
			font-size: 0;
			z-index: 1;
			&:before{
				content: "";
				position: absolute;
				top: 0;
				left: 0;
				width: 100%;
				height: 100%;
				background: currentColor;
				-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" style="fill: none; stroke: black; stroke-linecap: round; stroke-linejoin: round; stroke-width: 3px;"><polyline points="8.5 3 17.5 12 8.5 21"/></svg>') no-repeat center / 50%;
			}
			&.slick-prev:before{
				transform: scale(-1, 1);
			}
		}
	}
}

#pagenation{
	margin-top: clamp(32px, calc(56 / 1200 * 100dvw), 56px);
}

.pswp__counter{
	visibility: hidden;
}



